Remove the organization's Companies House API key (OWNER only)
DELETE
/organizations/current/companies-house-key
const url = 'https://api.invogi.com/v1/organizations/current/companies-house-key';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.invogi.com/v1/organizations/current/companies-house-key \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Key removed
Media typeapplication/json
object
companiesHouseKeyConfigured
required
boolean
Example generated
{ "companiesHouseKeyConfigured": true}API key lacks required scope/role
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}